import { HttpClient } from "@angular/common/http";
import { ApiVisa, BaseApiTemplateService, Pagination, PagingResponseModel } from "../../shared";
import { InternalConsignorPurchaseBillingContainerModel } from "../../../../../../models/aggregates/erp/consignor";
import { Observable } from "rxjs";
export declare class InternalConsignorPurchaseBillingService extends BaseApiTemplateService<InternalConsignorPurchaseBillingContainerModel> {
    constructor(http: HttpClient);
    getLinesByCriteria(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<InternalConsignorPurchaseBillingContainerModel>>;
    printJasperPdf(guid: string, printServiceClassName: string, printableFormatGuid: string, apiVisa: ApiVisa, customParam?: string): Observable<Blob>;
    getAttachmentFile(extensionGuid: string, apiVisa: ApiVisa): Observable<Blob>;
    postCalculation(start_date: string, end_date: string, location_guid: string, inventory_item_guid: string, visa: ApiVisa): Observable<any>;
}
